
import { letters } from "./constants";
import { Header } from "./Header";
import { LetterCard } from "./LetterCard";
import { Pagination } from "./Pagination";
import { SearchFilters } from "./SearchFilter";
import { useLetterFilters } from "./useLetterFilters";

export default function LetterListPage() {
    const {
        searchTerm,
        setSearchTerm,
        filterCategory,
        setFilterCategory,
        filterStatus,
        setFilterStatus,
        filteredLetters,
    } = useLetterFilters(letters);

    return (
        // 添加 flex flex-col 使其成为弹性布局容器
        <div className="min-h-screen bg-gradient-to-b from-slate-50 to-slate-100 flex flex-col">
            <Header />
            {/* 添加 flex-grow 使内容区域自动填充剩余空间 */}
            <div className="flex-grow">
                {filteredLetters.map((letter) => (
                    <LetterCard key={letter.id} letter={letter} />
                ))}
            </div>
            {/* Pagination 会自然固定在底部 */}
            <Pagination
                totalItems={filteredLetters.length}
                itemsPerPage={2}
            />
        </div>
    );
}
