import { api, usePost } from "@nice/client";
import { Post, postDetailSelect, PostDto, UserProfile } from "@nice/common";
import { useAuth } from "@web/src/providers/auth-provider";
import React, { createContext, ReactNode, useState } from "react";

interface PostDetailContextType {
	editId?: string; // 添加 editId
	post?: PostDto;
	isLoading?: boolean;
	user?: UserProfile;
}
interface PostFormProviderProps {
	children: ReactNode;
	editId?: string; // 添加 editId 参数
}
export const PostDetailContext = createContext<PostDetailContextType | null>(
	null
);
export function PostDetailProvider({
	children,
	editId,
}: PostFormProviderProps) {
	const { user } = useAuth();
	const { data: post, isLoading }: { data: PostDto; isLoading: boolean } = (
		api.post.findFirst as any
	).useQuery(
		{
			where: { id: editId },
			select: postDetailSelect,
		},
		{ enabled: Boolean(editId) }
	);
	// const {}:{} =(
	// 	api.post.fin as any
	// )

	return (
		<PostDetailContext.Provider
			value={{
				editId,
				post,
				user,
				isLoading,
			}}>
			{children}
		</PostDetailContext.Provider>
	);
}
